summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-06-13 15:18:16 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-06-13 15:18:16 -0500
commit84f6dbb0902fb148be6d9706768c4abcd6eb623e (patch)
tree0129e32d43f4a8a222f3afa118b5b330a7b44fa6 /misc
parent28ac7ec060e16a1694d8954904bf31043e1b734b (diff)
downloadslackbuilds-84f6dbb0902fb148be6d9706768c4abcd6eb623e.tar.gz
slackbuilds-84f6dbb0902fb148be6d9706768c4abcd6eb623e.tar.xz
misc/cwiid: Added (tools for the Nintendo Wiimote)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/cwiid/README3
-rw-r--r--misc/cwiid/bluez_4_api_changes.patch11
-rw-r--r--misc/cwiid/cwiid.SlackBuild88
-rw-r--r--misc/cwiid/cwiid.info10
-rw-r--r--misc/cwiid/slack-desc19
5 files changed, 131 insertions, 0 deletions
diff --git a/misc/cwiid/README b/misc/cwiid/README
new file mode 100644
index 0000000000..4fa5890e9d
--- /dev/null
+++ b/misc/cwiid/README
@@ -0,0 +1,3 @@
+CWiid is a collection of Linux tools written in C for interfacing to the
+Nintendo Wiimote, including an event-based API, an event/mouse/joystick
+driver, and GUI/control panel.
diff --git a/misc/cwiid/bluez_4_api_changes.patch b/misc/cwiid/bluez_4_api_changes.patch
new file mode 100644
index 0000000000..dbbc790c57
--- /dev/null
+++ b/misc/cwiid/bluez_4_api_changes.patch
@@ -0,0 +1,11 @@
+--- cwiid-0.6.00.orig/libcwiid/bluetooth.c.old 2008-09-30 16:52:55.000000000 -0500
++++ cwiid-0.6.00.orig/libcwiid/bluetooth.c 2008-09-30 16:53:19.000000000 -0500
+@@ -122,7 +122,7 @@
+ }
+
+ /* timeout (10000) in milliseconds */
+- if (hci_remote_name(sock, &dev_list[i].bdaddr, BT_NAME_LEN,
++ if (hci_read_remote_name(sock, &dev_list[i].bdaddr, BT_NAME_LEN,
+ (*bdinfo)[bdinfo_count].name, 10000)) {
+ cwiid_err(NULL, "Bluetooth name read error");
+ err = 1;
diff --git a/misc/cwiid/cwiid.SlackBuild b/misc/cwiid/cwiid.SlackBuild
new file mode 100644
index 0000000000..f6cba00068
--- /dev/null
+++ b/misc/cwiid/cwiid.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for cwiid
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=cwiid
+VERSION=${VERSION:-0.6.00}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr $PKG/etc $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Patch against newer bluez
+patch -p1 < $CWD/bluez_4_api_changes.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-ldconfig \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Remove static library.
+rm -f $PKG/usr/lib$LIBDIRSUFFIX/libcwiid.a
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/cwiid/cwiid.info b/misc/cwiid/cwiid.info
new file mode 100644
index 0000000000..e05eff659d
--- /dev/null
+++ b/misc/cwiid/cwiid.info
@@ -0,0 +1,10 @@
+PRGNAM="cwiid"
+VERSION="0.6.00"
+HOMEPAGE="http://abstrakraft.org/cwiid/"
+DOWNLOAD="http://abstrakraft.org/cwiid/downloads/cwiid-0.6.00.tgz"
+MD5SUM="8d574afdeedc5e5309c87a72d744316a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"
diff --git a/misc/cwiid/slack-desc b/misc/cwiid/slack-desc
new file mode 100644
index 0000000000..e8c4fe42f8
--- /dev/null
+++ b/misc/cwiid/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cwiid: CWiid (Tools for the Nintendo Wii Remote)
+cwiid:
+cwiid: CWiid is a collection of Linux tools written in C for
+cwiid: interfacing to the Nintendo Wiimote, including an event
+cwiid: based API, an event/mouse/joystick driver, and a GUI
+cwiid: control panel.
+cwiid:
+cwiid:
+cwiid:
+cwiid:
+cwiid: